Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
pdumodel::Pdu_4_1_6::OutletSequenceState Struct Reference

Outlet sequencing status More...

`import"Pdu.idl";`

## Public Attributes
boolean | sequenceRunning
| `true` if an outlet sequence is currently running
int | nextOutletToSwitch
| Number (zero-based) of the next outlet in the sequence.
int | timeUntilNextSwitch
| Time in milliseconds before the next outlet is switched.
int | outletsRemaining
| Number of outlets remaining in the sequence.
int | cancelableOutletsRemaining
| Number of outlets remaining whose switch operation can be canceled (non-cancelable operations won't be affected by canceling the sequence)

## Detailed Description

Outlet sequencing status

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Pdu.idl